⚠️ NOTE: While Reseller API v1.2 continues to work as expected, these docs will be removed in the near future as we shift focus to Reseller API v1.3, which adds expanded data structures and new capabilities like Content, Booking Questions, and Add-ons.

Check out our v1.3 docs and level up your integration to support even more partners and use cases.


Server
booking.redeam.io
Server Variables

Fields
KeyIn
X-API-KeyHeader

Fields
KeyIn
X-API-SecretHeader

Retrieve a list of suppliers

Returns a list of suppliers.

Auth
Headers
X-Request-IDstring

Request ID for request tracking. An identifier unique to the request, which is passed from the reseller through Redeam to the operator. If the reseller does not provide a request ID, Redeam will generate an ID and return it to the reseller.

Query String
partner_idstring

Partner defined ID

codestring

Supplier code

GET /suppliers
Copy
Responses application/json
200

Retrieve a list of suppliers

objectobject
metaobject

Request meta data

reqIduuid

Request ID for request tracking. An identifier unique to the request, which is passed from the reseller through Redeam to the operator. If the reseller does not provide a request ID, Redeam will generate an ID and return it to the reseller.

suppliers14 fieldsarray[object]
401

Unauthorized

503

The server is temporarily unavailable, either because the server is under maintenance, or overloaded (accepted too many requests in too short a time).

Response
Copy

Retrieve a single supplier

Returns a supplier.

Auth
Headers
X-Request-IDstring

Request ID for request tracking. An identifier unique to the request, which is passed from the reseller through Redeam to the operator. If the reseller does not provide a request ID, Redeam will generate an ID and return it to the reseller.

Path Params
supplier_idstring
GET /suppliers/{supplier_id}
Copy
Responses application/json
200

Retrieve a single supplier

objectobject
metaobject

Request meta data

reqIduuid

Request ID for request tracking. An identifier unique to the request, which is passed from the reseller through Redeam to the operator. If the reseller does not provide a request ID, Redeam will generate an ID and return it to the reseller.

supplier14 fieldsobject
401

Unauthorized

404

Not Found

503

The server is temporarily unavailable, either because the server is under maintenance, or overloaded (accepted too many requests in too short a time).

Response
Copy